#!/bin/sh
DIR=$(dirname $0)

# install vimplug
curl -fLo ~/.vim/autoload/plug.vim --create-dirs \
    https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim

# install oh-my-zsh
sh -c "$(wget https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh -O -)"

# install zsh plugins
git clone https://github.com/zsh-users/zsh-autosuggestions ${ZSH_CUSTOM:-$HOME/.oh-my-zsh/custom}/plugins/zsh-autosuggestions
git clone https://github.com/zsh-users/zsh-syntax-highlighting.git ${ZSH_CUSTOM:-$HOME/.oh-my-zsh/custom}/plugins/zsh-syntax-highlighting
git clone --depth=1 https://github.com/romkatv/powerlevel10k.git ${ZSH_CUSTOM:-$HOME/.oh-my-zsh/custom}/themes/powerlevel10k

# symlinks
ln -sf $DIR/.vimrc ~/.vimrc
ln -sf $DIR/.ideavimrc ~/.ideavimrc
ln -sf $DIR/.gitconfig ~/.gitconfig
ln -sf $DIR/.zshrc ~/.zshrc
ln -sf $DIR/.Xdefaults ~/.Xdefaults
ln -sf $DIR/.p10k.zsh ~/.p10k.zsh

ln -sf $DIR/awesome/ ~/.config/awesome/
ln -sf $DIR/kitty/ ~/.config/kitty/
ln -sf $DIR/nvim/ ~/.config/nvim/
